parser_callbacks.ipp File Reference

Go to the source code of this file.

## Functions

int | restinio_url_cb (http_parser *parser, const char *at, size_t length)
int | restinio_header_field_cb (http_parser *parser, const char *at, size_t length)
void | append_last_field_accessor (http_header_fields_t &fields, string_view_t value)
int | restinio_header_value_cb (http_parser *parser, const char *at, size_t length)
int | restinio_headers_complete_cb (http_parser *parser)
int | restinio_body_cb (http_parser *parser, const char *at, size_t length)
int | restinio_chunk_header_cb (http_parser *parser)
int | restinio_chunk_complete_cb (http_parser *)
template<typename Http_Methods >
int | restinio_message_complete_cb (http_parser *parser)

## Function Documentation

## append_last_field_accessor()

void append_last_field_accessor | ( | http_header_fields_t & | fields,
|  | string_view_t | value
| ) |  |

inline

Definition at line 74 of file parser_callbacks.ipp.

## restinio_body_cb()

int restinio_body_cb | ( | http_parser * | parser,
|  | const char * | at,
|  | size_t | length
| ) |  |

inline

Definition at line 159 of file parser_callbacks.ipp.

## restinio_chunk_complete_cb()

int restinio_chunk_complete_cb | ( | http_parser * |  | ) |

inline

Definition at line 218 of file parser_callbacks.ipp.

## restinio_chunk_header_cb()

int restinio_chunk_header_cb | ( | http_parser * | parser | ) |

inline

Definition at line 186 of file parser_callbacks.ipp.

## restinio_header_field_cb()

int restinio_header_field_cb | ( | http_parser * | parser,
|  | const char * | at,
|  | size_t | length
| ) |  |

inline

Definition at line 35 of file parser_callbacks.ipp.

## restinio_header_value_cb()

int restinio_header_value_cb | ( | http_parser * | parser,
|  | const char * | at,
|  | size_t | length
| ) |  |

inline

Definition at line 80 of file parser_callbacks.ipp.

## restinio_headers_complete_cb()

int restinio_headers_complete_cb | ( | http_parser * | parser | ) |

inline

Definition at line 124 of file parser_callbacks.ipp.

## restinio_message_complete_cb()

template<typename Http_Methods >

int restinio_message_complete_cb | ( | http_parser * | parser | ) |

Definition at line 226 of file parser_callbacks.ipp.

## restinio_url_cb()

int restinio_url_cb | ( | http_parser * | parser,
|  | const char * | at,
|  | size_t | length
| ) |  |

inline

Callbacks used with http parser.

Definition at line 10 of file parser_callbacks.ipp.